
Member Nodes - MNDeployment #7969

FEMC (Forest Ecosystem Monitoring Cooperative) - was VMC Vermont Monitoring Cooperative

2017-01-18 01:20 - Laura Moyers

Status: Operational Start date: 2018-08-06

Priority: Normal Due date:  

Assignee: Monica Ihli % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Latitude: 44.48 MN_Date_Online: 2017-10-02

Longitude: -73.21 Name:  

MN Description:  Logo URL:  

Base URL: http://www.uvm.edu/vmc Date Upcoming:  

NodeIdentifier: urn:node:FEMC Date Deprecated:  

MN Tier: Tier 1 Information URL:  

Software stack: GMN Version:  

Description

Jim Duncan from VMC contacted us via the "Contact Us" page inquiring about participation with DataONE.  See meeting notes from

11 Jan 2017 for summary:  https://epad.dataone.org/pad/p/VMC_and_DataONE 

From http://www.uvm.edu/vmc/about/

"The mission of the Vermont Monitoring Cooperative is to serve Vermont through improved understanding of long-term trends,

annual conditions, and interdisciplinary relationships of the physical, chemical, and biological components of forested ecosystems in

Vermont.

The VMC also promotes the efficient coordination of multi-disciplinary environmental monitoring and research activities among

federal, state, university, and private-sector agencies with common interests in the long-term health, management, and protection of

Vermont's forested ecosystems."

Subtasks:

Task # 8670: FEMC - upgrade GMN 2.3.7 to 3.0.4 New

Related issues:

Related to Member Nodes - Task #8134: VMC/FEMC - Test Pip Upgrade Closed 2017-07-21

Related to Member Nodes - Task #8140: VMC/FEMC - Convert adapter Closed 2017-07-28

Related to Member Nodes - Task #8141: VMC/FEMC - Register in Sandbox Closed 2017-08-04

History

#1 - 2017-01-30 20:32 - Laura Moyers

- % Done changed from 0 to 10

- Target version set to Deploy by end of Y3Q2

- Status changed from New to Planning

#2 - 2017-03-31 12:47 - Monica Ihli

The server VMC is using is managed by the institution's central IT department. As of now, GMN has successfully been installed on CentOS 7: 

https://dataone.uvm.edu/mn/v2. This is presently a standalone installation, and will remain so until the adapter integration between their repository

and GMN has been fully developed and tested.

#3 - 2017-04-11 16:35 - Laura Moyers

- Longitude set to -73.21

- Base URL set to http://www.uvm.edu/vmc
- Latitude set to 44.48

#4 - 2017-04-26 14:27 - Laura Moyers

- NodeIdentifier changed from urn:node:VMC to urn:node:FEMC

- Assignee changed from Laura Moyers to Monica Ihli

- Software stack set to GMN

VMC has broadened its scope to include state forestry resources/managers from neighboring states and will be known as the Forest Ecosystem

Monitoring Cooperative (FEMC).  Note node ID change from urn:node:VMC to urn:node:FEMC

FEMC uses EML as their metadata standard.

Jim and Mike are beginning work on the GMN adapter; next meeting 1 May.

#6 - 2017-06-23 18:39 - Laura Moyers

- Target version changed from Deploy by end of Y3Q2 to Deploy by end of Y3Q4

- Subject changed from VMC  - Vermont Monitoring Cooperative to FEMC (Forest Ecosystem Monitoring Cooperative) - was VMC Vermont Monitoring

Cooperative

#7 - 2017-06-25 13:17 - Laura Moyers

Jim provided this status update 22 June:  

I just wanted to provide a status update to the whole group. Mike and Monica have been making headway on the URL endpoints and setting up our

adapter, and will be having another round of work very soon. I don’t think we need to set up call immediately, I am hopeful that we will have

something workable to show before the July 4 holiday, after which it would be great to talk again.

There was a bit of a problem getting access to the FEMC endpoints earlier in the month, but Monica and Mike/Jim were able to sort this out.

#8 - 2017-06-30 12:22 - Laura Moyers

- File logo-icon-femc.png added

- File Member_Node_Description_Form_FEMC_JD.pdf added

- File FEMC_logo_fulltitle_right.png added

- File FEMC_logo_fulltitle_bottom.png added

Jim passed on some edits to their MNDD and new logos (attached).

#9 - 2017-08-22 19:54 - Laura Moyers

- Related to Task #8134: VMC/FEMC - Test Pip Upgrade added

#10 - 2017-08-22 19:54 - Laura Moyers

- Related to Task #8140: VMC/FEMC - Convert adapter added

#11 - 2017-08-22 19:54 - Laura Moyers

- Related to Task #8141: VMC/FEMC - Register in Sandbox added

2024-03-13 2/6



#12 - 2017-08-22 20:11 - Laura Moyers

- File deleted (Member_Node_Description_Form_FEMC_JD.pdf)

#13 - 2017-08-22 20:17 - Laura Moyers

- File Member_Node_Description_Form_FEMC_JD.pdf added

Removed poorly formatted MNDD, added updated MNDD.

Notes from UTK DataONE meeting 8/22/17:

Scheduled working meeting for 8/23 of this week to upgrade GMN software and review the status of their data exposure endpoint. FEMC has an

internal deadline of mid-September to have a DataONE MN in production.  This is possible, but iffy.  The plan is still to upgrade the FEMC GMC to

2.3.5 before integrated testing.

#14 - 2017-08-23 16:24 - Monica Ihli

ABOUT RESTFUL ENDPOINTS

This operates in two parts. First there is an endpoint which presents the identifiers which have changed since a point in time. Then these identifiers

are fed into a 2nd endpoint which can be used to retrieve the metadata object for that specific set of identifiers. 

The first endpoint for records changed is of the following format:

https://www.uvm.edu/femc/dataone/changedDatasets/changedSince//X-API-KEY/

For example:

https://www.uvm.edu/femc/dataone/changedDatasets/changedSince/1502668800/X-API-KEY/gumboandcrawfish

will return values such as:

12345

67890

12345

09876

Which may then be used in the following way as:

/femc/dataone/datasetEML/projectID//datasetID//X-API-KEY/

Such as for the above example:

/femc/dataone/datasetEML/projectID/1065/datasetID/2294/X-API-KEY/gumboandcrawfish

The result of the specific record request will be a science metadata xml file returned.
#15 - 2017-08-29 08:47 - Laura Moyers

- % Done changed from 10 to 50

- Status changed from Planning to Testing

#16 - 2017-08-29 10:49 - Laura Moyers

- Start date set to 2017-01-11

setting start date based on initial meeting with VMC/FEMC in January 2017

#17 - 2017-08-30 20:31 - Laura Moyers

- Target version changed from Deploy by end of Y3Q4 to Deploy by end of Y4Q1

#18 - 2017-09-01 15:17 - Monica Ihli

The build of metadata records from data in the native system was using an outdated algorithm which, among other issues, prefixed the eml

namespace to all elements. This invalidated the xml document. An updated script for generating eml documents has been applied. There may still be

a few invalid documents to look out for here or there to look out for with small errors. 

Additional Requirement:

FEMC system permits researchers to temporarily set an existing data set to be private. They are concerned as to how this will be handled in

DataONE. They don't want to archive it yet because something can't be unarchived once that is done.

Proposed solution:

Use .update() to remove public access rule from system metadata to create outcome of privacy. Add a status to 

the FEMC endpoint which lists altered records to identify appropriate action. This could also provide a tidy w

ay of identifying if a record has been deleted /archived in your system so that DataONE knows to archive it on

 our copy as well. For example:

 

@

20

229

ACTIVE

20

229

HIDDEN

20

229

DELETED

@

An important consideration is to ensure that, if a metadata record changes between the time it is set to private through removal of access rules and

the time the author wants it to go public again, we must make sure to execute an update() instead of just .updateSystemMetadata()

2024-03-13 4/6



#19 - 2017-09-18 20:05 - Monica Ihli

- File GMN-Reinstall over existing.pdf added

FEMC has been upgraded to 2.3.7 using the attached process.

#20 - 2017-09-19 16:55 - Monica Ihli

FEMC has acquired their Stage DataONE test certificate/key.

New certificate are installed and CRUD tests done.

Adapter has been developed ( https://github.com/DataONEorg/SlenderNodes/tree/master/femc)

Adapter is installed on FEMC MN server and cron setup for 3 hour intervals. Testing is in progress. The node operator will wait for initial load to

complete and then will manipulate some test records so we can confirm updates are cascading to GMN.

Will convene with Mike in 1-2 days to check progress and testing. If all looks good will complete registration at that time.

#21 - 2017-10-11 17:53 - Monica Ihli

- Status changed from Testing to Operational

#22 - 2017-10-11 18:00 - Monica Ihli

- MN_Date_Online set to 2017-10-02

FEMC requests support updating metadata. They overlooked updating the organization name in metadata. Have provided some instructions for

making this happen and offered to meet if needed.

#23 - 2017-10-20 19:58 - Monica Ihli

Jim has completed updates to metadata generation script and new metadata record versions have been harvested. No failures observed in the CN

logs.

#24 - 2018-01-09 19:20 - Dave Vieglais

- Sprint set to Production and Upcoming

#25 - 2018-01-09 20:53 - Dave Vieglais

- Sprint changed from Production and Upcoming to Ongoing Operational

#26 - 2018-12-04 14:58 - Amy Forrester

- Target version changed from Deploy by end of Y4Q1 to Operational

#27 - 2019-08-02 18:20 - Amy Forrester

From Jim Duncan James.Duncan@uvm.edu: Mike has moved on to a new position

#28 - 2019-08-27 17:22 - Amy Forrester

Working with Jim to get a service agreement signed by our two institutions...DataONE doesn't have such a doc...Jim sending us one to sign.

8/27/19: sent Jim reminder email

Files
FEMC_logo_fulltitle_bottom.png 56.5 KB 2017-06-30 Laura Moyers

FEMC_logo_fulltitle_right.png 88.5 KB 2017-06-30 Laura Moyers

logo-icon-femc.png 57 KB 2017-06-30 Laura Moyers

Member_Node_Description_Form_FEMC_JD.pdf 532 KB 2017-08-22 Laura Moyers

GMN-Reinstall over existing.pdf 98.2 KB 2017-09-18 Monica Ihli
